--- a/Makefile.am
+++ b/Makefile.am
@@ -26,21 +26,21 @@
 if BUILD_VISUAL
   lib_shared = CLHEP-@VERSION@.$(SHEXT)
 else
-  lib_shared = libCLHEP-@VERSION@.$(SHEXT)
+  lib_shared = libCLHEP.$(SHEXT).@VERSION@
 endif
   SHFLAGS = @MY_SHFLAGS@
   SHLINK = @MY_SHLINK@
-  SHNAME = @MY_SHNAME@
+  SHNAME = @MY_SHNAME@libCLHEP.$(SHEXT).2.1
 endif
 if BUILD_STATIC
-  CLHEPLIB = libCLHEP-@VERSION@.a
+  CLHEPLIB = libCLHEP.a
 endif
 if BUILD_VISUAL
   MAKE_STATIC_CLHEP = $(COPY_P) libCLHEP-@VERSION@.a libCLHEP.a
   MAKE_SHARED_CLHEP = $(COPY_P) CLHEP-@VERSION@.$(SHEXT) CLHEP.$(SHEXT)
 else
-  MAKE_STATIC_CLHEP = $(LN_S) libCLHEP-@VERSION@.a libCLHEP.a
-  MAKE_SHARED_CLHEP = $(LN_S) libCLHEP-@VERSION@.$(SHEXT) libCLHEP.$(SHEXT)
+  MAKE_SHARED_CLHEP = $(LN_S) libCLHEP.$(SHEXT).@VERSION@ libCLHEP.$(SHEXT); \
+                      $(LN_S) libCLHEP.$(SHEXT).@VERSION@ libCLHEP.$(SHEXT).2.1
 endif
 
 CLEANFILES = clheplib library-list $(CLHEPLIB) $(lib_shared) ClhepVersion.h
@@ -61,7 +61,7 @@
 $(lib_shared): 
 	-rm -f $@
 	liblist=`$(top_builddir)/getObjectList -shared $(SUBDIRS)`; \
-	$(CXXLINK) $(SHLINK) $(SHNAME)$@ $$liblist -o $@
+	$(CXXLINK) $(SHLINK) $(SHNAME) $$liblist -o $@
 endif
 
 docs:
@@ -96,9 +96,6 @@
 	  if test -f $$p; then \
 	    echo " $(RANLIB) '$(DESTDIR)$(libdir)/$$p'"; \
 	    $(RANLIB) "$(DESTDIR)$(libdir)/$$p"; \
-	    if test -f $(DESTDIR)$(libdir)/libCLHEP.a; then \
-	    (rm -f $(DESTDIR)$(libdir)/libCLHEP.a); fi; \
-	    (cd $(DESTDIR)$(libdir) && $(MAKE_STATIC_CLHEP) ); \
 	  else :; fi; \
 	done
 	@$(NORMAL_INSTALL)
